Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmps_s Struct Reference

`#include <rpmps.h>`

## Data Fields
int | numProblems
int | numProblemsAlloced
rpmProblem | probs
int | nrefs

## Field Documentation

int rpmps_s::nrefs

| Reference count. Definition at line 65 of file rpmps.h. Referenced by rpmpsFree, XrpmpsLink, and XrpmpsUnlink.

int rpmps_s::numProblems

| Current probs array size. Definition at line 61 of file rpmps.h. Referenced by rpmpsAppend, rpmpsFree, rpmpsNumProblems, rpmpsPrint, rpmpsTrim, rpmts_Check, and rpmts_Run.

int rpmps_s::numProblemsAlloced

| Allocated probs array size. Definition at line 62 of file rpmps.h. Referenced by rpmpsAppend.

rpmProblem rpmps_s::probs

| Array of specific problems. Definition at line 63 of file rpmps.h. Referenced by rpmpsAppend, rpmpsFree, rpmpsNumProblems, rpmpsPrint, rpmpsTrim, rpmts_Check, rpmts_Run, and verifyDependencies.

The documentation for this struct was generated from the following file:

- lib/rpmps.h